Package com.sas.metadata.remote

# Interface ITSubscriber

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `ITContentSubscriber`, `ITEventSubscriber`

public interface ITSubscriber extends PrimaryType
A subscriber profile is used to control how published content is delivered to a user. Typical delivery mechanisms are mail, message queue or none. None is used by Portal users who will check the channel for new archived packages and view them on demand, rather than having them delivered at publication time.

Attributes of ITSubscriber are:

- `QueueName`
- `DeliveryTransport`
- `URL`

Associations of ITSubscriber are:

- `ContentDestination`
- `ProfileOwner`
- `SubscribedChannels`
- `SubscriberEmail`

## Usage

To create an instance of this ITSubscriber, use the `factory` create methods.
Example: create a ITSubscriber with name "ITSubscriber_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ITSubscriber myObject = (ITSubscriber) factory.createComplexMetadataObject(objectStore, "ITSubscriber_Object", MetadataObjects.ITSUBSCRIBER, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_CONTENTDESTINATION_NAME`
  Constant used for the name of the ContentDestination association.
  `static final String`
  `ASSOCIATION_PROFILEOWNER_NAME`
  Constant used for the name of the ProfileOwner association.
  `static final String`
  `ASSOCIATION_SUBSCRIBEDCHANNELS_NAME`
  Constant used for the name of the SubscribedChannels association.
  `static final String`
  `ASSOCIATION_SUBSCRIBEREMAIL_NAME`
  Constant used for the name of the SubscriberEmail association.
  `static final String`
  `ATTRIBUTE_DELIVERYTRANSPORT_NAME`
  Constant used for the name of the DeliveryTransport attribute.
  `static final String`
  `ATTRIBUTE_QUEUENAME_NAME`
  Constant used for the name of the QueueName attribute.
  `static final String`
  `ATTRIBUTE_URL_NAME`
  Constant used for the name of the URL attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Directory`
  `getContentDestination()`
  Gets the `Directory` for `ContentDestination`
  `AssociationList`
  `getContentDestinations()`
  Gets the AssociationList of `ContentDestinations`
  `AssociationList`
  `getContentDestinations(boolean fGoToServer)`
  Gets the Associationlist of `ContentDestinations`
  `String`
  `getDeliveryTransport()`
  Gets the `String` value of `DeliveryTransport`
  `int`
  `getDeliveryTransportMaxLength()`
  Gets the maximum length of `DeliveryTransport`
  `int`
  `getDeliveryTransportState()`
  Gets the Metadata State of `DeliveryTransport`
  `Person`
  `getProfileOwner()`
  Gets the `Person` for `ProfileOwner`
  `AssociationList`
  `getProfileOwners()`
  Gets the AssociationList of `ProfileOwners`
  `AssociationList`
  `getProfileOwners(boolean fGoToServer)`
  Gets the Associationlist of `ProfileOwners`
  `String`
  `getQueueName()`
  Gets the `String` value of `QueueName`
  `int`
  `getQueueNameMaxLength()`
  Gets the maximum length of `QueueName`
  `int`
  `getQueueNameState()`
  Gets the Metadata State of `QueueName`
  `AssociationList`
  `getSubscribedChannels()`
  Gets the AssociationList of `SubscribedChannels`
  `AssociationList`
  `getSubscribedChannels(boolean fGoToServer)`
  Gets the Associationlist of `SubscribedChannels`
  `Email`
  `getSubscriberEmail()`
  Gets the `Email` for `SubscriberEmail`
  `AssociationList`
  `getSubscriberEmails()`
  Gets the AssociationList of `SubscriberEmails`
  `AssociationList`
  `getSubscriberEmails(boolean fGoToServer)`
  Gets the Associationlist of `SubscriberEmails`
  `String`
  `getURL()`
  Gets the `String` value of `URL`
  `int`
  `getURLMaxLength()`
  Gets the maximum length of `URL`
  `int`
  `getURLState()`
  Gets the Metadata State of `URL`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `ContentDestination`
  `ProfileOwner`
  `SubscribedChannels`
  `SubscriberEmail`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setContentDestination(Directory inObject)`
  Sets the `ContentDestinations` list 0th element to be `inObject`.
  `void`
  `setContentDestinations(AssociationList list)`
  Sets the `ContentDestinations` list to be `list`.
  `void`
  `setContentDestinations(AssociationList list, int state)`
  Sets the `ContentDestinations` list to be `list`.
  `void`
  `setDeliveryTransport(String inDeliveryTransport)`
  Sets the `DeliveryTransport` value and sets the state to MetadataState.LOCAL.
  `void`
  `setDeliveryTransport(String inDeliveryTransport, int state)`
  Sets the `DeliveryTransport` Metadata State.
  `void`
  `setDeliveryTransportState(int state)`
  Sets the Metadata State of `DeliveryTransport`.
  `void`
  `setProfileOwner(Person inObject)`
  Sets the `ProfileOwners` list 0th element to be `inObject`.
  `void`
  `setProfileOwners(AssociationList list)`
  Sets the `ProfileOwners` list to be `list`.
  `void`
  `setProfileOwners(AssociationList list, int state)`
  Sets the `ProfileOwners` list to be `list`.
  `void`
  `setQueueName(String inQueueName)`
  Sets the `QueueName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setQueueName(String inQueueName, int state)`
  Sets the `QueueName` Metadata State.
  `void`
  `setQueueNameState(int state)`
  Sets the Metadata State of `QueueName`.
  `void`
  `setSubscribedChannels(AssociationList list)`
  Sets the `SubscribedChannels` list to be `list`.
  `void`
  `setSubscribedChannels(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setSubscriberEmail(Email inObject)`
  Sets the `SubscriberEmails` list 0th element to be `inObject`.
  `void`
  `setSubscriberEmails(AssociationList list)`
  Sets the `SubscriberEmails` list to be `list`.
  `void`
  `setSubscriberEmails(AssociationList list, int state)`
  Sets the `SubscriberEmails` list to be `list`.
  `void`
  `setURL(String inURL)`
  Sets the `URL` value and sets the state to MetadataState.LOCAL.
  `void`
  `setURL(String inURL, int state)`
  Sets the `URL` Metadata State.
  `void`
  `setURLState(int state)`
  Sets the Metadata State of `URL`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_QUEUENAME_NAME

    static final String ATTRIBUTE_QUEUENAME_NAME
    Constant used for the name of the QueueName attribute.

    QueueName: Message queue name for content delivery to this subscriber.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_DELIVERYTRANSPORT_NAME

    static final String ATTRIBUTE_DELIVERYTRANSPORT_NAME
    Constant used for the name of the DeliveryTransport attribute.

    DeliveryTransport: String containing 'email', 'queue', or 'none'. Instructs the publishing system that delivery mechanism to use to deliver content to the user.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_URL_NAME

    static final String ATTRIBUTE_URL_NAME
    Constant used for the name of the URL attribute.

    URL: A relative URL for a DAV collection to put content for this subscriber.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_CONTENTDESTINATION_NAME

    static final String ASSOCIATION_CONTENTDESTINATION_NAME
    Constant used for the name of the ContentDestination association.

    ContentDestination: The directorywhere content is published for this subscriber.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PROFILEOWNER_NAME

    static final String ASSOCIATION_PROFILEOWNER_NAME
    Constant used for the name of the ProfileOwner association.

    ProfileOwner: The person for whom this subscriber profile has been defined.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_SUBSCRIBEDCHANNELS_NAME

    static final String ASSOCIATION_SUBSCRIBEDCHANNELS_NAME
    Constant used for the name of the SubscribedChannels association.

    SubscribedChannels: The channels for this subscription profile.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_SUBSCRIBEREMAIL_NAME

    static final String ASSOCIATION_SUBSCRIBEREMAIL_NAME
    Constant used for the name of the SubscriberEmail association.

    SubscriberEmail: Email address for a content subscriber.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `ContentDestination`
    `ProfileOwner`
    `SubscribedChannels`
    `SubscriberEmail`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getQueueName

    String getQueueName() throws RemoteException
    Gets the `String` value of `QueueName`
    Returns:
      The `QueueName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getQueueNameState

    int getQueueNameState() throws RemoteException
    Gets the Metadata State of `QueueName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getQueueNameMaxLength

    int getQueueNameMaxLength() throws RemoteException
    Gets the maximum length of `QueueName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDeliveryTransport

    String getDeliveryTransport() throws RemoteException
    Gets the `String` value of `DeliveryTransport`
    Returns:
      The `DeliveryTransport`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDeliveryTransportState

    int getDeliveryTransportState() throws RemoteException
    Gets the Metadata State of `DeliveryTransport`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDeliveryTransportMaxLength

    int getDeliveryTransportMaxLength() throws RemoteException
    Gets the maximum length of `DeliveryTransport`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getURL

    String getURL() throws RemoteException
    Gets the `String` value of `URL`
    Returns:
      The `URL`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getURLState

    int getURLState() throws RemoteException
    Gets the Metadata State of `URL`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getURLMaxLength

    int getURLMaxLength() throws RemoteException
    Gets the maximum length of `URL`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getContentDestinations

    AssociationList getContentDestinations() throws RemoteException, MdException
    Gets the AssociationList of `ContentDestinations`
    Returns:
      Returns the AssociationList of `ContentDestinations` which can be of type:
      Directory
      AnalyticContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getContentDestination

    Directory getContentDestination() throws RemoteException, MdException
    Gets the `Directory` for `ContentDestination`
    Returns:
      The `Directory` ( `null` if not set) of `ContentDestination`which can be of type:
      Directory
      AnalyticContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProfileOwners

    AssociationList getProfileOwners() throws RemoteException, MdException
    Gets the AssociationList of `ProfileOwners`
    Returns:
      Returns the AssociationList of `ProfileOwners` which can be of type:
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getProfileOwner

    Person getProfileOwner() throws RemoteException, MdException
    Gets the `Person` for `ProfileOwner`
    Returns:
      The `Person` ( `null` if not set) of `ProfileOwner`which can be of type:
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubscribedChannels

    AssociationList getSubscribedChannels() throws RemoteException, MdException
    Gets the AssociationList of `SubscribedChannels`
    Returns:
      Returns the AssociationList of `SubscribedChannels` which can be of type:
      ITChannel
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubscriberEmails

    AssociationList getSubscriberEmails() throws RemoteException, MdException
    Gets the AssociationList of `SubscriberEmails`
    Returns:
      Returns the AssociationList of `SubscriberEmails` which can be of type:
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getSubscriberEmail

    Email getSubscriberEmail() throws RemoteException, MdException
    Gets the `Email` for `SubscriberEmail`
    Returns:
      The `Email` ( `null` if not set) of `SubscriberEmail`which can be of type:
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getContentDestinations

    AssociationList getContentDestinations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ContentDestinations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `ContentDestinations` which can be of type:
      Directory
      AnalyticContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProfileOwners

    AssociationList getProfileOwners(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ProfileOwners`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `ProfileOwners` which can be of type:
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubscribedChannels

    AssociationList getSubscribedChannels(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `SubscribedChannels`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `SubscribedChannels` which can be of type:
      ITChannel
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubscriberEmails

    AssociationList getSubscriberEmails(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `SubscriberEmails`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `SubscriberEmails` which can be of type:
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setQueueName

    void setQueueName(String inQueueName) throws RemoteException
    Sets the `QueueName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inQueueName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setQueueName

    void setQueueName(String inQueueName, int state) throws RemoteException
    Sets the `QueueName` Metadata State.
    Parameters:
      `inQueueName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setQueueNameState

    void setQueueNameState(int state) throws RemoteException
    Sets the Metadata State of `QueueName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeliveryTransport

    void setDeliveryTransport(String inDeliveryTransport) throws RemoteException
    Sets the `DeliveryTransport` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inDeliveryTransport` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeliveryTransport

    void setDeliveryTransport(String inDeliveryTransport, int state) throws RemoteException
    Sets the `DeliveryTransport` Metadata State.
    Parameters:
      `inDeliveryTransport` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeliveryTransportState

    void setDeliveryTransportState(int state) throws RemoteException
    Sets the Metadata State of `DeliveryTransport`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setURL

    void setURL(String inURL) throws RemoteException
    Sets the `URL` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inURL` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setURL

    void setURL(String inURL, int state) throws RemoteException
    Sets the `URL` Metadata State.
    Parameters:
      `inURL` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setURLState

    void setURLState(int state) throws RemoteException
    Sets the Metadata State of `URL`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setContentDestinations

    void setContentDestinations(AssociationList list) throws RemoteException
    Sets the `ContentDestinations` list to be `list`. Object of which can be of type:
    Directory
    AnalyticContext
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setContentDestinations

    void setContentDestinations(AssociationList list, int state) throws RemoteException
    Sets the `ContentDestinations` list to be `list`. Object of which can be of type:
    Directory
    AnalyticContext
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setContentDestination

    void setContentDestination(Directory inObject) throws RemoteException
    Sets the `ContentDestinations` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Directory
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProfileOwners

    void setProfileOwners(AssociationList list) throws RemoteException
    Sets the `ProfileOwners` list to be `list`. Object of which can be of type:
    Person
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProfileOwners

    void setProfileOwners(AssociationList list, int state) throws RemoteException
    Sets the `ProfileOwners` list to be `list`. Object of which can be of type:
    Person
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProfileOwner

    void setProfileOwner(Person inObject) throws RemoteException
    Sets the `ProfileOwners` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Person
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubscribedChannels

    void setSubscribedChannels(AssociationList list) throws RemoteException
    Sets the `SubscribedChannels` list to be `list`. Objects of which can be of type:
    ITChannel
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubscribedChannels

    void setSubscribedChannels(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubscriberEmails

    void setSubscriberEmails(AssociationList list) throws RemoteException
    Sets the `SubscriberEmails` list to be `list`. Object of which can be of type:
    Email
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubscriberEmails

    void setSubscriberEmails(AssociationList list, int state) throws RemoteException
    Sets the `SubscriberEmails` list to be `list`. Object of which can be of type:
    Email
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubscriberEmail

    void setSubscriberEmail(Email inObject) throws RemoteException
    Sets the `SubscriberEmails` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Email
    Throws:
      `RemoteException` - If error communicating with remote object.